Skip to content

Reset password

POST
/api/website/customers/password/reset
curl --request POST \
--url https://api.petanqueai.com/api/website/customers/password/reset \
--header 'Content-Type: application/json' \
--header 'x-storefront-token: <x-storefront-token>' \
--data '{ "token": "example", "password": "example" }'

Sets a new password with the token from the reset link and signs the shopper out everywhere. Answers 204; an unknown, used or expired token answers 410.

object
token
required
string
>= 1 characters <= 200 characters
password
required
string
>= 8 characters <= 128 characters

Example generated

{
"token": "example",
"password": "example"
}